Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.processes
Class XSLStylesheetProcess

`java.lang.Object
oracle.xml.pipeline.controller.Process
oracle.xml.pipeline.processes.XSLStylesheetProcess`

All Implemented Interfaces:
  ErrorHandler, PipelineConstants, java.lang.Runnable

public class XSLStylesheetProcess
extends Process

Extends the pipeline Process class to create a wrapper around creation of XSLStylesheet to be used by the pipeline framework. Its parameters are: Inputs - "xsl" (stream, dom) Params - "baseURL" (String), "outputEncoding" (String), "showWarnings" (boolean - true/false) Outputs - none Outparams - "stylesheet" (XSLStylesheet)

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Methods inherited from class oracle.xml.pipeline.controller.Process
`convertFromDOM, convertFromSAX, convertFromStream, error, execute, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getOutParamValue, getOutput, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, initialize, SAXContentHandler, SAXErrorHandler, setOutputResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.